Bug 242699 - Requesting backport of upstream fix for DBI::PurePerl looks_like_number() and $DBI::rows.
Summary: Requesting backport of upstream fix for DBI::PurePerl looks_like_number() and...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: perl-DBI   
(Show other bugs)
Version: 4.5
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Stepan Kasal
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 246627
TreeView+ depends on / blocked
 
Reported: 2007-06-05 14:19 UTC by Martin Poole
Modified: 2018-10-19 23:23 UTC (History)
2 users (show)

Fixed In Version: RHBA-2008-0686
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 19:35:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
simplified patch derived from http://svn.perl.org/viewcvs/modules/dbi/trunk/lib/DBI/PurePerl.pm?r1=167&r2=166&pathrev=167 (2.02 KB, patch)
2007-06-05 14:19 UTC, Martin Poole
no flags Details | Diff
backport of test code (1.67 KB, patch)
2007-07-23 14:25 UTC, Martin Poole
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0686 normal SHIPPED_LIVE perl-DBI bug fix update 2008-07-23 15:47:02 UTC

Description Martin Poole 2007-06-05 14:19:39 UTC
Description of problem:

Requesting backport of upstream fix for DBI::PurePerl looks_like_number() and
$DBI::rows.


Version-Release number of selected component (if applicable):

perl-DBI-1.40-8

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 2 Robin Norwood 2007-06-13 20:38:08 UTC
Hi Martin,

I'll be happy to apply the fix, but do you have a reproducer for the issue that
this patch fixes?

Comment 3 Martin Poole 2007-07-23 14:25:44 UTC
Created attachment 159786 [details]
backport of test code

Comment 4 RHEL Product and Program Management 2008-02-01 19:07:26 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 9 errata-xmlrpc 2008-07-24 19:35:57 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0686.html


Note You need to log in before you can comment on or make changes to this bug.